.\"	$NetBSD: intro.4,v 1.3 2005/06/20 13:25:25 peter Exp $
.\"
.\" Copyright (c) 1996 Jonathan Stone.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"      This product includes software developed by Jonathan Stone.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd May 10, 2007
.Dt INTRO 4 sparc64
.Os
.Sh NAME
.Nm intro
.Nd introduction to sparc64 special files and hardware support
.Sh DESCRIPTION
This section describes the special files, related driver functions,
and networking support
available in the system.
In this part of the manual, the
.Tn SYNOPSIS
section of
each configurable device gives a sample specification
for use in constructing a system description for the
.Xr config 1
program.
The
.Tn DIAGNOSTICS
section lists messages which may appear on the console
and/or in the system error log
.Pa /var/log/messages
due to errors in device operation;
see
.Xr syslogd 8
for more information.
.Pp
This section contains both devices
which may be configured into the system
and network related information.
The networking support is introduced in
.Xr netintro 4 .
.Sh DEVICE SUPPORT
This section describes the hardware supported on the SPARC64
platform.
Software support for these devices comes in two forms.  A hardware
device may be supported with a character or block
.Em device driver ,
or it may be used within the networking subsystem and have a
.Em network interface driver .
Block and character devices are accessed through files in the file
system of a special type; see
.Xr mknod 8 .
Network interfaces are indirectly accessed through the interprocess
communication facilities provided by the system; see
.Xr socket 2 .
.Pp
A hardware device is identified to the system at configuration time
and the appropriate device or network interface driver is then compiled
into the system.  When the resultant system is booted, the
autoconfiguration facilities in the system probe for the device
and, if found, enable the software support for it.
If a device does not respond at autoconfiguration
time it is not accessible at any time afterwards.
To enable a device which did not autoconfigure,
the system must be rebooted.
.Pp
The autoconfiguration system is described in
.Xr autoconf 4 .
A list of the supported devices is given below.
.Sh SEE ALSO
.Xr config 1 ,
.Xr autoconf 4 ,
.Xr cd 4 ,
.Xr cgsix 4 ,
.Xr ch 4 ,
.Xr kbd 4 ,
.Xr le 4 ,
.Xr magma 4 ,
.Xr mem 4 ,
.Xr ms 4 ,
.Xr openprom 4 ,
.Xr scsi 4 ,
.Xr sd 4 ,
.Xr ss 4 ,
.Xr st 4 ,
.Xr tcx 4 ,
.Xr uk 4
.Sh LIST OF DEVICES
The devices listed below are supported in this incarnation of
the system.  Devices are indicated by their functional interface.
Not all supported devices are listed.
.Pp
.Bl -tag -width leXlebufferXX
.It auxio
Auxiliary I/O \*[Am] LED
.It bpp
Bi-directional Parallel port
.It cgsix
8 bit obio (sun4c \*[Am] sun4m), Sbus color graphics frame buffer
.It com
PC-style serial port
.It eeprom
Sun non-volatile configuration RAM driver
.It esp
ESP200 SCSI controller
.br
FSBE/S (X1053A, part # 501-2015) Fast SCSI-2/Buffered Ethernet Sbus controller
.It fdc
Floppy Disk Controller
.It ffb
Creator \*[Am] Creaor3D graphics frame buffer
.It isp
Qlogic ISP Sbus and PCI SCSI controller
.It kbd
Sun type 2, type 3, type 4, and type 5 keyboards (on zs or com)
.It le/lebuffer
AMD 7990 LANCE Ethernet controller
.It lpt
PC-style parallel port
.It magma
Magma Sp Serial/Parallel board device driver
.It ms
Sun mouse (on zs or com)
.It openprom
Sun Open boot PROM (what became IEEE 1275) configuration driver
.It power
power management
.Xr halt 8
and
.Xr shutdown 8
commands can use it to power down the system.
.It sab
Siemens 82532 \*[Am] 83538 serial controller
.It zs
Zilog 8530 serial controller
.El
.Pp
PCI devices are supported through the
.Xr pci 4
bus and associated devices.
.Pp
PCMCIA devices are supported through the
.Xr pcmcia 4
bus and associated devices.
.Pp
Cardbus devices are supported through the
.Xr cardbus 4
bus and associated devices.
.Pp
USB devices are supported through the
.Xr usb 4
bus and associated devices.
.Sh UNSUPPORTED DEVICES
The following devices are not supported, due to unavailability of
either documentation, sample hardware, or willing volunteer:
.Bl -tag -width cgfourteenXX
.It atifb
ATI 3D Rage Pro VGA graphics adapter (Ultra5, Ultra10)
.It fdc
sun4u floppy drive controllers (EBus based machines only)
.It cgfourteen
24 bit Sbus color frame buffer
.It cgthree
8 bit Sbus color frame buffer
.El
.Sh HISTORY
This
.Tn sparc64
.Nm intro
appeared in
.Nx 1.6 .
Large chunks of text carefully recycled (shamelessly appropriated) from
.Nx Ns Tn /sparc
.Nm .
